External REST API XML parser break

I see a warning in the wordpress dashboard about the XML parser potentially breaking the site. I’ve read the support doc here: https://theme.co/docs/external-api-xml-change but don’t know enough about these technical aspects to know if this affects me, and if so, how I can fix this and turn off legacy mode without breaking the site.

Hey @calebja,

Thanks for reaching out!

Can you share with us a screenshot of the warnings on your website? Also, If you are using the External API, but not using the XML return type you can safely turn off legacy mode but if you are using XML return type, you need to update the structure like on this page.

Hope that helps.

hi @marc_a I don’t believe I’m using any sort of external API, but I don’t know how to check if I am. I have Yoast SEO installed which I know creates a site map XML file. Here is the screenshot I see per your request: https://www.loom.com/i/4625433cf71d4c74957ee0af44f32629

Hi @calebja,

It seems that the notice is coming from any 3rd Party plugin or Custom Code. I would like to suggest troubleshooting the following common issue to help us to recognize the reason.

1.Theme Related Issue
2.Plugin Conflict
3.Theme Update related issue
4.Child Theme Related issue **if you have activated it.
5.CSS/JS Customization
6.Disabling Cache
7.Disabling CDN

If you discover that an issue is coming from a custom code or 3rd party plugin, kindly consult with a developer or contact the plugin author. Please note that we do not provide support for custom codes and 3rd party plugins.
I would also request that you activate any of the default themes, like TwentyTwenty, and check if the issue persists or not. If the issue only persists when Pro is activated, please provide login credentials for your site in a secure note to examine it further, including:

– WordPress Site URL & Login URL
– WordPress Admin username/password

To create a secure note, click the key icon underneath any of your posts.

Thanks